%define packname mAr
%define packrel 1

Summary: R module to evaluate functions for multivariate AutoRegressive analysis
Name: R-%{packname}
Version: 1.1
Release: 10%{?dist}
License: GPL version 2 or newer
Group: Applications/Engineering
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}-%{packrel}.tar.gz
Source1: COPYING
URL: http://cran.r-project.org/contrib
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: R, tetex-latex

Requires: R

%define debug_package %{nil}

%description
R package:
An R add-on package for estimation of multivariate AR models through a
computationally-efficient stepwise least-squares algorithm (Neumaier
and Schneider, 2001); the procedure is of particular interest for
high-dimensional data without missing values such as geophysical
fields.

%prep
%setup -q -n %{packname}

%build
cp %{SOURCE1} .

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/R/library
cd ..; R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
cd ..;%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%postun
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%files
%defattr(-, root, root, -)
%{_libdir}/R/library/%{packname}


%changelog
* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-10
- Create install dir.

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-9
- Rebuild for R 2.5.

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-8
- New upstream version (1.1-1).

* Tue Oct 17 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-7
- Rebuild for R 2.4.0.

* Thu Sep 14 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-6
- Rebuild for FC6.

* Sun Jun  4 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-5
- Rebuild for R-2.3.x

* Thu Mar  2 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-4
- Disable building of debugging package.

* Tue Oct 11 2005 José Matos <jamatos[AT]fc.up.pt> - 1.1-3
- Remove html index generation as it is now automatic.

* Thu Oct  6 2005 José Matos <jamatos[AT]fc.up.pt> - 1.1-2
- Add check section, add tetex-latex to BulidRequires, and remove docs
  as they are packaged already.

* Sun Aug 21 2005 José Matos <jamatos[AT]fc.up.pt> - 1.1-1
- Prepare for FE inclusion.
